--- libdnet-stripped/include/dnet/ip.h.orig	2017-09-18 07:16:50 -0500
+++ libdnet-stripped/include/dnet/ip.h	2017-09-18 07:18:12 -0500
@@ -410,12 +410,12 @@
 	ip_pack_p->ip_src = src; ip_pack_p->ip_dst = dst;		\
 } while (0)
 
-typedef struct ip_handle ip_t;
+typedef struct ip_handle nmap_ip_t;
 
 __BEGIN_DECLS
-ip_t	*ip_open(void);
-ssize_t	 ip_send(ip_t *i, const void *buf, size_t len);
-ip_t	*ip_close(ip_t *i);
+nmap_ip_t	*ip_open(void);
+ssize_t	 ip_send(nmap_ip_t *i, const void *buf, size_t len);
+nmap_ip_t	*ip_close(nmap_ip_t *i);
 
 char	*ip_ntop(const ip_addr_t *ip, char *dst, size_t len);
 int	 ip_pton(const char *src, ip_addr_t *dst);
--- libdnet-stripped/src/ip-cooked.c.orig	2017-09-18 07:20:20 -0500
+++ libdnet-stripped/src/ip-cooked.c	2017-09-18 07:22:37 -0500
@@ -46,7 +46,7 @@
 static int
 _add_ip_intf(const struct intf_entry *entry, void *arg)
 {
-	ip_t *ip = (ip_t *)arg;
+	nmap_ip_t *ip = (nmap_ip_t *)arg;
 	struct ip_intf *ipi;
 
 	if (entry->intf_type == INTF_TYPE_ETH &&
@@ -68,10 +68,10 @@
 	return (0);
 }
 
-ip_t *
+nmap_ip_t *
 ip_open(void)
 {
-	ip_t *ip;
+	nmap_ip_t *ip;
 
 	if ((ip = calloc(1, sizeof(*ip))) != NULL) {
 		ip->fd = -1;
@@ -97,7 +97,7 @@
 }
 
 static struct ip_intf *
-_lookup_ip_intf(ip_t *ip, ip_addr_t dst)
+_lookup_ip_intf(nmap_ip_t *ip, ip_addr_t dst)
 {
 	struct ip_intf *ipi;
 	int n;
@@ -142,7 +142,7 @@
 }
 
 ssize_t
-ip_send(ip_t *ip, const void *buf, size_t len)
+ip_send(nmap_ip_t *ip, const void *buf, size_t len)
 {
 	struct ip_hdr *iph;
 	struct ip_intf *ipi;
@@ -223,8 +223,8 @@
 	return (len);
 }
 
-ip_t *
-ip_close(ip_t *ip)
+nmap_ip_t *
+ip_close(nmap_ip_t *ip)
 {
 	struct ip_intf *ipi, *nxt;
 
--- libdnet-stripped/src/ip.c.orig	2017-09-18 07:22:45 -0500
+++ libdnet-stripped/src/ip.c	2017-09-18 07:23:29 -0500
@@ -22,10 +22,10 @@
 	int	fd;
 };
 
-ip_t *
+nmap_ip_t *
 ip_open(void)
 {
-	ip_t *i;
+	nmap_ip_t *i;
 	int n;
 	socklen_t len;
 
@@ -61,7 +61,7 @@
 }
 
 ssize_t
-ip_send(ip_t *i, const void *buf, size_t len)
+ip_send(nmap_ip_t *i, const void *buf, size_t len)
 {
 	struct ip_hdr *ip;
 	struct sockaddr_in sin;
@@ -92,8 +92,8 @@
 #endif
 }
 
-ip_t *
-ip_close(ip_t *i)
+nmap_ip_t *
+ip_close(nmap_ip_t *i)
 {
 	if (i != NULL) {
 		if (i->fd >= 0)
